@keyframes fadeIn {
    from {
      opacity: 0;
    }
    to {
      opacity: 1;
    }
}

.card-bg {
    background-color: var(--principal);
    -webkit-box-shadow: 0px 0px 5px 2px rgba(15, 15, 15, 1);
    -moz-box-shadow: 0px 0px 5px 2px rgba(15, 15, 15, 1);
    box-shadow: 0px 0px 5px 2px rgba(15, 15, 15, 1);
    height: 100%;
}

.card-bg:hover,
.card-bg:focus {
    cursor: default;
}

.card-bg-alter {
    background-color: var(--principal);
    -webkit-box-shadow: 0px 0px 5px 2px rgba(15, 15, 15, 1);
    -moz-box-shadow: 0px 0px 5px 2px rgba(15, 15, 15, 1);
    box-shadow: 0px 0px 5px 2px rgba(15, 15, 15, 1);
}

.card-bg-alter:hover,
.card-bg-alter:focus {
    -webkit-box-shadow: 0px 0px 5px 2px rgba(9, 211, 172, 0.5);
    -moz-box-shadow: 0px 0px 5px 2px rgba(9, 211, 172, 0.5);
    box-shadow: 0px 0px 5px 2px rgba(9, 211, 172, 0.5);
    cursor: default;
}

.card-bg-sinhover {
    background-color: var(--principal);
}

.card-items .card-title {
    font-family: 'Ubuntu Condensed', sans-serif;
    font-size: 1rem;
    text-transform: uppercase;
    color: #0cd1ab;
    text-align: center;
}

.card-items .text-stats {
    font-family: 'Ubuntu', sans-serif;
    font-size: 0.8rem;
    text-transform: uppercase;
}

.card-items .text-required-level {
    font-family: 'Ubuntu', sans-serif;
    font-size: 0.8rem;
    margin-top: 5px;
    margin-bottom: 5px;
    text-transform: uppercase;
}

.card-items .text-descripcion-opcion {
    font-family: 'Ubuntu', sans-serif;
    font-size: 0.75rem;
    margin-bottom: 5px;
    text-transform: uppercase;
    color: var(--blanco);
    text-align: justify;
    background-color: rgba(40,40,40,.4);
    /*background-color: var(--secundario);*/
    padding: 5px;
    border-radius: 5px;
}

.card-items .text-descripcion {
    font-family: 'Ubuntu', sans-serif;
    font-size: 0.75rem;
    margin-bottom: 5px;
    text-transform: uppercase;
    color: var(--blanco);
    text-align: justify;
    padding: 5px;
    border-radius: 5px;
}

.card-items .text-stats-elemental {
    font-family: 'Ubuntu', sans-serif;
    font-size: 0.7rem;
    text-transform: uppercase;
    text-align: center;
}

.card-items .text-titulo-option {
    font-family: 'Ubuntu', sans-serif;
    font-size: 0.8rem;
    text-transform: uppercase;
    text-align: center;
}

.card-items .text-option {
    font-family: 'Ubuntu', sans-serif;
    font-size: 0.8rem;
    text-transform: uppercase;
    text-align: center;
    padding: 0px;
    margin: 1px;
    color: var(--blanco);
}

.text-option-mastery {
    font-family: 'Ubuntu', sans-serif;
    font-size: 0.7rem;
    text-transform: uppercase;
    text-align: center;
    padding: 0px;
    margin: 1px;
    color: var(--blanco);
}

.card-items .text-option-sets {
    font-family: 'Ubuntu', sans-serif;
    font-size: 0.7rem;
    text-transform: uppercase;
    text-align: center;
    padding: 0px;
    margin-bottom: 3px;
    color: var(--blanco);
}

.tabs-muun {
    justify-content: center;
    border: none;
    background-color: transparent;
}

.tab-muun,
.tab-muun.active {
    background-color: transparent;
}

.tabs-muun .nav-item {
    background-color: transparent;
}

.tabs-muun .nav-item .nav-link.active {
    color: var(--accent);
}

.tabs-muun .nav-item .nav-link {
    background-color: var(--secundario);
    color: var(--blanco);
    font-family: 'Ubuntu Condensed', sans-serif;
    font-size: 0.8rem;
    text-transform: uppercase;
    border: none;
    border-radius: 5px;
    padding: 2px;
    margin-left: 5px;
    margin-right: 5px;
}

.tabs-muun .nav-item .nav-link:hover {
    background-color: var(--secundario);
    color: var(--blanco);
    -webkit-box-shadow: 0px 0px 5px 2px rgba(9, 211, 172, 0.5);
    -moz-box-shadow: 0px 0px 5px 2px rgba(9, 211, 172, 0.5);
    box-shadow: 0px 0px 5px 2px rgba(9, 211, 172, 0.5);
}

.card-items .text-descripcion-ability-muun {
    font-family: 'Ubuntu Condensed', sans-serif;
    font-size: 0.8rem;
    margin-bottom: 5px;
    text-transform: uppercase;
    color: var(--blanco);
    text-align: center;
    border-radius: 5px;
}

.card-items .text-specialpower-muun {
    font-family: 'Ubuntu Condensed', sans-serif;
    font-size: 0.8rem;
    margin-bottom: 5px;
    text-transform: uppercase;
    text-align: center;
    border-radius: 5px;
}

.card-items .text-condition-specialpower-muun {
    font-family: 'Ubuntu Condensed', sans-serif;
    font-size: 0.8rem;
    margin-bottom: 5px;
    text-transform: uppercase;
    text-align: center;
    border-radius: 5px;
}

.icon-star-muun {
    color: var(--accent);
}

.separador-item {
    color: var(--blanco) !important;
    margin-top: 2px;
    margin-bottom: 2px;
}

/** CARD NEWS **/
.card-news{
    animation: fadeIn 0.5s ease-in-out;
}
.card-news .link-news:link,
.card-news .link-news:visited,
.card-news .link-news:active {
    position: relative;
    color: inherit;
    text-decoration: none;
    background-color: transparent;
}

.card-news .card-news-bg {
    -webkit-box-shadow: 0px 0px 5px 2px rgba(15, 15, 15, 1);
    -moz-box-shadow: 0px 0px 5px 2px rgba(15, 15, 15, 1);
    box-shadow: 0px 0px 5px 2px rgba(15, 15, 15, 1);
    overflow: hidden;
    position: relative;
    width: 100%;
    height: 100%;
    cursor: pointer;
    background-color: transparent;
    border-radius: 5px;
}

.card-news .card-news-bg:hover,
.card-news .card-news-bg:focus {
    -webkit-box-shadow: 0px 0px 5px 2px rgba(9, 211, 172, 0.5);
    -moz-box-shadow: 0px 0px 5px 2px rgba(9, 211, 172, 0.5);
    box-shadow: 0px 0px 5px 2px rgba(9, 211, 172, 0.5);
}

.card-news .imagen-news {
    position: absolute;
    max-height: 100%;
    max-width: 100%;
    left: 0;
    top: 0;
    object-fit: cover;
    width: 100%;
    height: 100%;
    object-position: 100% 0%;
    border-radius: 5px;
    transition: all cubic-bezier(0, 1, 0, 1) .5s;
    transition: transform 0.2s;
    opacity: 1;
    animation: fadeIn 0.5s ease-in-out;
}

.card-news .imagen-news-main {
    position: absolute;
    max-height: 100%;
    max-width: 100%;
    left: 0;
    top: 0;
    object-fit: cover;
    width: 100%;
    height: 100%;
    object-position: 50%;
    border-radius: 5px;
    transition: all cubic-bezier(0, 1, 0, 1) .5s;
    transition: transform 0.2s;
    opacity: 1;
    animation: fadeIn 0.5s ease-in-out;
}

.card-news .contenido-news {
    position: relative;
    margin-top: 100px;
    padding: 0 20px 20px;
    background: linear-gradient(0deg, rgba(12, 12, 14, .8) 80%, rgba(12, 12, 14, 0) 100%);
    border-radius: 5px;
    width: 100%;
    height: 100%;
}

.card-news .contenido-news-main {
    position: relative;
    margin-top: 343px;
    padding: 0 20px 20px;
    background: linear-gradient(0deg, rgba(12, 12, 14, .8) 80%, rgba(12, 12, 14, 0) 100%);
    border-radius: 5px;
    width: 100%;
    height: 100%;
}

.card-news:hover h2,
.card-news:hover span {
    color: var(--accent);
}

.card-news:hover button {
    background-color: var(--accent);
    color: var(--principal);
}

.card-news .title-news {
    text-transform: uppercase;
    color: var(--blanco);
    font-family: 'Ubuntu', sans-serif;
    font-weight: 500;
    margin-top: 10px;
    font-size: 1rem; /* Ajusta el tamaño de la fuente según sea necesario */
    overflow: hidden; /* Oculta el desbordamiento */
    white-space: nowrap; /* Evita que el texto se divida en varias líneas */
    text-overflow: ellipsis; /* Muestra puntos suspensivos (...) si el texto es demasiado largo */
    max-width: 100%; /* Asegúrate de que no exceda el ancho del contenedor */
}

.card-news .date-news {
    text-transform: uppercase;
    color: var(--blanco);
    font-family: 'Ubuntu Condensed', sans-serif;
    font-size: 1rem;
    font-weight: 500;
    margin-top: 10px;
}

.form-contact .form-control {
    background-color: var(--secundario);
    color: var(--blanco);
    font-family: 'Ubuntu', sans-serif;
    text-transform: uppercase;
    font-size: 0.9rem;
    border: 1px solid transparent;
}

.form-contact .form-control:hover,
.form-contact .form-control:focus {
    background-color: var(--secundario);
    color: var(--blanco);
    font-family: 'Ubuntu', sans-serif;
    text-transform: uppercase;
    font-size: 0.9rem;
    border: 1px solid var(--accent);
    box-shadow: none;
}

.form-contact .form-label {
    font-family: 'Chakra Petch', sans-serif;
    font-size: 1rem;
    font-weight: 500;
    text-transform: uppercase;
    color: var(--blanco);
}

.card-title-contact {
    font-family: 'Chakra Petch', sans-serif;
    font-size: 1rem;
    font-weight: 500;
    text-transform: uppercase;
    color: var(--accent);
    text-align: center;
}

.form-contact .btn-contact {
    background-color: var(--secundario);
    color: var(--blanco);
    text-transform: uppercase;
    font-weight: 500;
    font-size: 1rem;
    width: 100%;
    border: 1px solid transparent;
}

.form-contact .btn-contact:hover,
.form-contact .btn-contact:focus {
    background-color: var(--secundario);
    color: var(--accent);
    border: 1px solid var(--accent);
    cursor: pointer;
}

.card-mapa-descripcion {
    font-family: 'Ubuntu', sans-serif;
    font-size: 0.8rem;
    text-transform: uppercase;
    color: var(--blanco);
    text-align: justify;
    padding: 5px;
}

.card-title-map {
    font-family: 'Chakra Petch', sans-serif;
    font-size: 1.2rem;
    text-transform: uppercase;
    color: var(--accent);
    text-align: center;
}

/* CardMonster */
.card-monster-title {
    font-family: 'Chakra Petch', sans-serif;
    font-size: 0.9rem;
    font-weight: 500;
    padding-top: 3px;
    padding-bottom: 3px;
    text-transform: uppercase;
    color: var(--accent);
    text-align: center;
    border-bottom: 1px solid var(--secundario);
    border-radius: 5px;
}

.card-monster-level{
    font-family: 'Chakra Petch', sans-serif;
    font-size: 0.75rem;
    font-weight: 500;
    margin-top: 5px;
    padding-top: 3px;
    padding-bottom: 3px;
    text-transform: uppercase;
    text-align: center;
    border-bottom: 1px solid var(--secundario);
    border-radius: 5px;
}

.card-title-monster {
    font-family: 'Chakra Petch', sans-serif;
    font-size: 0.9rem;
    font-weight: 500;
    text-transform: uppercase;
    color: var(--accent);
    text-align: center;
}

.card-level-monster {
    font-family: 'Chakra Petch', sans-serif;
    font-size: 0.8rem;
    font-weight: 500;
    margin-top: 5px;
    text-transform: uppercase;
    color: var(--accent);
    text-align: center;
}

.text-title-stats-monster {
    font-family: 'Chakra Petch', sans-serif;
    font-size: 0.75rem;
    font-weight: 500;
    margin: 0px;
    text-transform: uppercase;
    color: var(--accent);
}

.text-stats-monster {
    font-family: 'Chakra Petch', sans-serif;
    font-size: 0.7rem;
    margin: 0px;
    text-transform: uppercase;
    color: var(--blanco);
}

.text-infocastlesiege {
    font-family: 'Chakra Petch', sans-serif;
    font-size: 0.7rem;
    margin-bottom: 0px;
    margin-top: 10px;
    text-align: center;
    text-transform: uppercase;
    color: var(--accent);
}

/* Card Skill per Character*/
.card-skill-character {
    background-color: var(--principal);
}


.card-bg .icon-skillinfo {
    color: var(--blanco);
    font-size: 0.75rem;
    position: absolute;
    border: 2px solid var(--accent);
    border-radius: 5px;
    padding-top: 1px;
    padding-bottom: 0px;
    padding-left: 6px;
    padding-right: 6px;
    margin: auto;
    right: 5px;
    top: 5px;
    cursor: pointer;
}

.text-stat-skill-new{
    color: var(--blanco);
}

.popoverInfoTypeSkill {
    background-color: var(--accent);
}

.popoverInfoTypeSkill .popoverInfoTypeSkill-header {
    background-color: var(--accent);
    font-family: 'Chakra Petch', sans-serif;
    font-size: 0.8rem;
    font-weight: 600;
    text-transform: uppercase;
}

.popoverInfoTypeSkill .text-infoskill {
    font-family: 'Ubuntu', sans-serif;
    font-size: 0.7rem;
    text-transform: uppercase;
    text-align: justify;
    margin: 0px;
}

.popoverInfoTypeSkill .text-infoskill-key {
    font-family: 'Ubuntu', sans-serif;
    font-size: 0.7rem;
    font-weight: 600;
    text-transform: uppercase;
    text-align: center;
    margin: 0px;
}
/*
.card-pj-home {
    background-color: var(--principal);
    -webkit-box-shadow: 0px 0px 5px 2px rgba(15, 15, 15, 1);
    -moz-box-shadow: 0px 0px 5px 2px rgba(15, 15, 15, 1);
    box-shadow: 0px 0px 5px 2px rgba(15, 15, 15, 1);
    animation: fadeIn 0.5s ease-in-out;
}

.card-pj-home:hover, .card-pj-home:focus {
    -webkit-box-shadow: 0px 0px 5px 2px rgba(9, 211, 172, 0.5);
    -moz-box-shadow: 0px 0px 5px 2px rgba(9, 211, 172, 0.5);
    box-shadow: 0px 0px 5px 2px rgba(9, 211, 172, 0.5);
    cursor: pointer;
}
  
.card-pj-home img {
    max-width: 100%;
    opacity: 1; 
    animation: fadeIn 0.5s ease-in-out; 
}*/

.nombre-char-home {
    font-family: 'Chakra Petch', sans-serif;
    position: relative;
    color: var(--accent);
    font-weight: bold;
    padding-bottom: 5px;
    padding-top: 5px;
    margin-top: -27px;
    margin-bottom: 0px;
    background: rgba(22, 22, 22, 0.9);
    font-size: 0.9rem;
    text-transform: uppercase;
    border-bottom-left-radius: 0.375rem;
    border-bottom-right-radius: 0.375rem;
}

/* Ajuste para pantallas pequeñas */
@media (max-width: 640px) { /* 640px es el punto de corte para sm en Tailwind CSS */
    .nombre-char-home {
        margin-top: -23px;
        font-size: 0.7rem; /* Tamaño de fuente más pequeño en pantallas sm */
    }
}

.image-character-container-home {
    border: 1px solid var(--principal);
    border-radius: 0.375rem;
    transition: transform 0.3s;
}

.image-character-container-home:hover {
    border: 1px solid var(--accent);
    transform: rotate(3deg);
}

.link-char-home{
    text-decoration: none;
}

.card-event-home {
    background-color: var(--principal);
    -webkit-box-shadow: 0px 0px 5px 2px rgba(15, 15, 15, 1);
    -moz-box-shadow: 0px 0px 5px 2px rgba(15, 15, 15, 1);
    box-shadow: 0px 0px 5px 2px rgba(15, 15, 15, 1);
    height: max-content;
    max-height: max-content;
    animation: fadeIn 0.5s ease-in-out;
}

.card-event-home:hover, .card-event-home:focus {
    -webkit-box-shadow: 0px 0px 5px 2px rgba(9, 211, 172, 0.5);
    -moz-box-shadow: 0px 0px 5px 2px rgba(9, 211, 172, 0.5);
    box-shadow: 0px 0px 5px 2px rgba(9, 211, 172, 0.5);
    cursor: pointer;
}

.card-event-home img {
    max-width: 100%; /* Asegura que la imagen se ajuste al contenedor */
    opacity: 1; /* Establece la opacidad inicial */
    animation: fadeIn 0.5s ease-in-out; /* Ajusta la duración y la función de temporización según tus preferencias */
}

.nombre-event-home {
    width: 100%;
    font-family: 'Chakra Petch', sans-serif;
    position: relative;
    color: var(--accent);
    font-weight: bold;
    padding-bottom: 5px;
    padding-top: 5px;
    margin-top: 10px;
    margin-bottom: 0px;
    font-size: 0.8rem;
    background: rgba(22, 22, 22, 0.9);
    text-transform: uppercase;
    border-radius: 5px 5px;
    bottom: 0;
    left: 0;
}

.icon-shortcut-key {
    color: var(--blanco);
    font-size: 1rem;
    border: 2px solid var(--accent);
    border-radius: 5px;
    padding-top: 1px;
    padding-bottom: 0px;
    padding-left: 6px;
    padding-right: 6px;
    margin: auto;
    cursor: default;
}

.icon-spot {
    color: var(--accent);
    position: absolute;
    cursor: pointer;
    transition: transform 0.2s;
}

.prueba {
    /* Cambia el color del contenido del icono aquí */
    background: red;
  }

.icon-spot:hover,
.icon-spot.active {
    color: rgb(255, 183, 0);
    transform: scale(1.3);
}

.icon-spot-invertido {
    color: rgb(0, 17, 255);
    position: absolute;
    cursor: pointer;
    transition: transform 0.2s;
}

.icon-spot-invertido:hover,
.icon-spot-invertido.active {
    color: rgb(143, 26, 123);
    transform: scale(1.3);
}

.text-descripcion-mu-home {
    font-family: 'Ubuntu', sans-serif;
    font-size: 0.8rem;
    margin-bottom: 5px;
    color: var(--blanco);
    text-align: justify;
    padding: 5px;
    border-radius: 5px;
}

.btn-official-website {
    background-color: var(--secundario);
    color: var(--accent);
    text-transform: uppercase;
    font-weight: 500;
    font-size: 1rem;
    width: 100%;
    border: 1px solid transparent;
}

.btn-official-website:hover,
.btn-official-website:focus {
    background-color: var(--accent);
    color: var(--principal);
    border: 1px solid var(--accent);
    cursor: pointer;
}

.community-contact-build{
    background-color: var(--secundario);
    color: var(--accent);
    text-transform: uppercase;
    font-size: 0.6rem;
    text-decoration: none;
    border: 1px solid var(--secundario);
}

.community-contact-build:hover, 
.community-contact-build:focus{
    color: var(--accent);
    border: 1px solid var(--accent);
    text-decoration: none;
}

/* Community Build Lazy */
.playButtonOverlay {
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 50%;
    padding: 10px 20px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: flex;
    justify-content: center;
    align-items: center;
}

.videoContainer {
    position: relative;
    cursor: pointer;
}

.youtube-icon-build-video {
    font-size: 3rem;
    color: var(--accent);
}

.youtube-icon-build-video:hover,
.youtube-icon-build-video:focus {
    color: #ff0000; /* Color rojo de YouTube */
}


.card-content-creator {
    background-color: var(--principal);
    -webkit-box-shadow: 0px 0px 5px 2px rgba(15, 15, 15, 1);
    -moz-box-shadow: 0px 0px 5px 2px rgba(15, 15, 15, 1);
    box-shadow: 0px 0px 5px 2px rgba(15, 15, 15, 1);
    width: 180px;
    height: auto;
}

.nombre-content-creator {
    font-family: 'Chakra Petch', sans-serif;
    position: relative;
    color: var(--accent);
    font-weight: bold;
    padding-bottom: 5px;
    padding-top: 5px;
    margin-top: -27px;
    margin-bottom: 0px;
    background: rgba(22, 22, 22, 0.9);
    font-size: 1rem;
    text-transform: uppercase;
    text-align: center;
    border-end-end-radius: 5px;
    border-end-start-radius: 5px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}


.container-img-creator {
    width: auto;
    height: 176px;
    overflow: hidden;
}

.img-content-creator {
    max-height: 100%;
    max-width: 100%;
    border-radius: 5px;
}

.social-content-creator {
    width: 100%;
    height: 50px;
}

/*SKILL CHARACTER*/
.title-skill-character {
    font-family: 'Ubuntu Condensed', sans-serif;
    font-size: 1rem;
    text-transform: uppercase;
    color: var(--accent);
    margin-bottom: 0;
}

.title-skill-border {
    border-bottom: 1px solid var(--secundario);
    padding-bottom: 5px;
}

.text-descripcion-skill-character {
    font-family: 'Sofia Sans Semi Condensed', sans-serif;
    font-size: 0.8rem;
    text-transform: uppercase;
    color: #dadada;
    text-align: left;
    padding: 5px;
    border-radius: 5px;
    margin-bottom: 0;
}

.image-skill-character {
    border: 2px solid var(--secundario);
}

.text-type-skill {
    color: #a7a7a7;
    font-family: 'Ubuntu Condensed', sans-serif;
    border: 1px solid #a7a7a7;
    font-size: 0.7rem;
    text-transform: uppercase;
    padding: 1px 3px;
}

/*ABILITY CARDS*/
.ability-card-title {
    color: var(--accent);
    font-family: 'Ubuntu Condensed', sans-serif;
    font-size: 1rem;
    text-transform: uppercase;
    text-align: center;
    border-radius: 5px;
    padding-top: 3px;
    padding-bottom: 3px;
    margin-top: 5px;
    margin-bottom: 5px;
}

.text-descripcion-ability-card {
    font-family: 'Sofia Sans Semi Condensed', sans-serif;
    font-size: 0.75rem;
    text-transform: uppercase;
    color: var(--blanco);
    text-align: justify;
    margin: 0px;
    border-radius: 5px;
}

.text-options-ability-skill-card {
    font-family: 'Sofia Sans Semi Condensed', sans-serif;
    font-size: 0.75rem;
    text-transform: uppercase;
    color: rgb(137, 154, 230);
    text-align: justify;
    margin: 0px;
    border-radius: 5px;
}

.text-options-ability-card {
    font-family: 'Sofia Sans Semi Condensed', sans-serif;
    font-size: 0.75rem;
    text-transform: uppercase;
    color: var(--blanco);
    text-align: justify;
    margin: 0px;
    border-radius: 5px;
}

.text-extrainfo-ability-card{
    font-family: 'Sofia Sans Semi Condensed', sans-serif;
    font-size: 0.7rem;
    text-transform: uppercase;
    color: var(--blanco);
    text-align: center;
    margin: 0px;
    border-radius: 5px;
}